com.rscja.team.qcom.usb

## Class RxUsb_qcom

- java.lang.Object
- - com.rscja.team.qcom.usb.UsbBase_qcom
  - - com.rscja.team.qcom.usb.RxUsb_qcom

-     public class RxUsb_qcom
      extends UsbBase_qcom

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.team.qcom.usb.UsbBase_qcom

      `UsbBase_qcom.DataCallback`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.usb.UsbBase_qcom

      `dataCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RxUsb_qcom(UsbBase_qcom usbBase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.hardware.usb.UsbDevice` | `closeport()`
    `android.hardware.usb.UsbDeviceConnection` | `getUsbDeviceConnection()`
    `void` | `init(android.content.Context context)`
    `int` | `openPort(android.hardware.usb.UsbDevice device)`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] bytes, boolean clean)`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] bytes, boolean clean, int timeOut)`
    `int` | `sendData(byte[] bytes)`
    `void` | `setKeyEventCallback(KeyEventCallback KeyEventCallback)`

    - ### Methods inherited from class com.rscja.team.qcom.usb.UsbBase_qcom

      `getConnectionStatus, getDeviceList, getUsbDevice, setConnectionStatusCallback, setDataCallback`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RxUsb_qcom

          public RxUsb_qcom(UsbBase_qcom usbBase)

  - ### Method Detail

    - #### openPort

          public int openPort(android.hardware.usb.UsbDevice device)

      Specified by:
        `openPort` in class `UsbBase_qcom`

    - #### closeport

          public android.hardware.usb.UsbDevice closeport()

      Specified by:
        `closeport` in class `UsbBase_qcom`

    - #### sendData

          public int sendData(byte[] bytes)

      Specified by:
        `sendData` in class `UsbBase_qcom`

    - #### getUsbDeviceConnection

          public android.hardware.usb.UsbDeviceConnection getUsbDeviceConnection()

      Specified by:
        `getUsbDeviceConnection` in class `UsbBase_qcom`

    - #### init

          public void init(android.content.Context context)

      Specified by:
        `init` in class `UsbBase_qcom`

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] bytes,
                                                          boolean clean)

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] bytes,
                                                          boolean clean,
                                                          int timeOut)

    - #### setKeyEventCallback

          public void setKeyEventCallback(KeyEventCallback KeyEventCallback)